// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/text_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.ClassicText}
 */
public  final class ClassicText extends
    com.google.protobuf.GeneratedMessageLite<
        ClassicText, ClassicText.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.ClassicText)
    ClassicTextOrBuilder {
  private ClassicText() {
    name_ = "";
    allTextSegments_ = com.google.protobuf.GeneratedMessageLite.emptyProtobufList();
    allWords_ = com.google.protobuf.GeneratedMessageLite.emptyProtobufList();
    nodes_ = emptyProtobufList();
  }
  public static final int NAME_FIELD_NUMBER = 1;
  private java.lang.String name_;
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @return The name.
   */
  @java.lang.Override
  public java.lang.String getName() {
    return name_;
  }
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @return The bytes for name.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getNameBytes() {
    return com.google.protobuf.ByteString.copyFromUtf8(name_);
  }
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @param value The name to set.
   */
  private void setName(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  
    name_ = value;
  }
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   */
  private void clearName() {
    
    name_ = getDefaultInstance().getName();
  }
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @param value The bytes for name to set.
   */
  private void setNameBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    name_ = value.toStringUtf8();
    
  }

  public static final int ALL_TEXT_SEGMENTS_FIELD_NUMBER = 2;
  private com.google.protobuf.Internal.ProtobufList<java.lang.String> allTextSegments_;
  /**
   * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
   * @return A list containing the allTextSegments.
   */
  @java.lang.Override
  public java.util.List<java.lang.String> getAllTextSegmentsList() {
    return allTextSegments_;
  }
  /**
   * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
   * @return The count of allTextSegments.
   */
  @java.lang.Override
  public int getAllTextSegmentsCount() {
    return allTextSegments_.size();
  }
  /**
   * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
   * @param index The index of the element to return.
   * @return The allTextSegments at the given index.
   */
  @java.lang.Override
  public java.lang.String getAllTextSegments(int index) {
    return allTextSegments_.get(index);
  }
  /**
   * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
   * @param index The index of the value to return.
   * @return The bytes of the allTextSegments at the given index.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getAllTextSegmentsBytes(int index) {
    return com.google.protobuf.ByteString.copyFromUtf8(
        allTextSegments_.get(index));
  }
  private void ensureAllTextSegmentsIsMutable() {
    com.google.protobuf.Internal.ProtobufList<java.lang.String> tmp =
        allTextSegments_;  if (!tmp.isModifiable()) {
      allTextSegments_ =
          com.google.protobuf.GeneratedMessageLite.mutableCopy(tmp);
     }
  }
  /**
   * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
   * @param index The index to set the value at.
   * @param value The allTextSegments to set.
   */
  private void setAllTextSegments(
      int index, java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  ensureAllTextSegmentsIsMutable();
    allTextSegments_.set(index, value);
  }
  /**
   * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
   * @param value The allTextSegments to add.
   */
  private void addAllTextSegments(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  ensureAllTextSegmentsIsMutable();
    allTextSegments_.add(value);
  }
  /**
   * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
   * @param values The allTextSegments to add.
   */
  private void addAllAllTextSegments(
      java.lang.Iterable<java.lang.String> values) {
    ensureAllTextSegmentsIsMutable();
    com.google.protobuf.AbstractMessageLite.addAll(
        values, allTextSegments_);
  }
  /**
   * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
   */
  private void clearAllTextSegments() {
    allTextSegments_ = com.google.protobuf.GeneratedMessageLite.emptyProtobufList();
  }
  /**
   * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
   * @param value The bytes of the allTextSegments to add.
   */
  private void addAllTextSegmentsBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    ensureAllTextSegmentsIsMutable();
    allTextSegments_.add(value.toStringUtf8());
  }

  public static final int ALL_WORDS_FIELD_NUMBER = 3;
  private com.google.protobuf.Internal.ProtobufList<java.lang.String> allWords_;
  /**
   * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
   * @return A list containing the allWords.
   */
  @java.lang.Override
  public java.util.List<java.lang.String> getAllWordsList() {
    return allWords_;
  }
  /**
   * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
   * @return The count of allWords.
   */
  @java.lang.Override
  public int getAllWordsCount() {
    return allWords_.size();
  }
  /**
   * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
   * @param index The index of the element to return.
   * @return The allWords at the given index.
   */
  @java.lang.Override
  public java.lang.String getAllWords(int index) {
    return allWords_.get(index);
  }
  /**
   * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
   * @param index The index of the value to return.
   * @return The bytes of the allWords at the given index.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getAllWordsBytes(int index) {
    return com.google.protobuf.ByteString.copyFromUtf8(
        allWords_.get(index));
  }
  private void ensureAllWordsIsMutable() {
    com.google.protobuf.Internal.ProtobufList<java.lang.String> tmp =
        allWords_;  if (!tmp.isModifiable()) {
      allWords_ =
          com.google.protobuf.GeneratedMessageLite.mutableCopy(tmp);
     }
  }
  /**
   * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
   * @param index The index to set the value at.
   * @param value The allWords to set.
   */
  private void setAllWords(
      int index, java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  ensureAllWordsIsMutable();
    allWords_.set(index, value);
  }
  /**
   * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
   * @param value The allWords to add.
   */
  private void addAllWords(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  ensureAllWordsIsMutable();
    allWords_.add(value);
  }
  /**
   * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
   * @param values The allWords to add.
   */
  private void addAllAllWords(
      java.lang.Iterable<java.lang.String> values) {
    ensureAllWordsIsMutable();
    com.google.protobuf.AbstractMessageLite.addAll(
        values, allWords_);
  }
  /**
   * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
   */
  private void clearAllWords() {
    allWords_ = com.google.protobuf.GeneratedMessageLite.emptyProtobufList();
  }
  /**
   * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
   * @param value The bytes of the allWords to add.
   */
  private void addAllWordsBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    ensureAllWordsIsMutable();
    allWords_.add(value.toStringUtf8());
  }

  public static final int NODES_FIELD_NUMBER = 4;
  private com.google.protobuf.Internal.ProtobufList<gg.dsepractice.chinese.v1alpha1.ParagraphNode> nodes_;
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  @java.lang.Override
  public java.util.List<gg.dsepractice.chinese.v1alpha1.ParagraphNode> getNodesList() {
    return nodes_;
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  public java.util.List<? extends gg.dsepractice.chinese.v1alpha1.ParagraphNodeOrBuilder> 
      getNodesOrBuilderList() {
    return nodes_;
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  @java.lang.Override
  public int getNodesCount() {
    return nodes_.size();
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.ParagraphNode getNodes(int index) {
    return nodes_.get(index);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  public gg.dsepractice.chinese.v1alpha1.ParagraphNodeOrBuilder getNodesOrBuilder(
      int index) {
    return nodes_.get(index);
  }
  private void ensureNodesIsMutable() {
    com.google.protobuf.Internal.ProtobufList<gg.dsepractice.chinese.v1alpha1.ParagraphNode> tmp = nodes_;
    if (!tmp.isModifiable()) {
      nodes_ =
          com.google.protobuf.GeneratedMessageLite.mutableCopy(tmp);
     }
  }

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  private void setNodes(
      int index, gg.dsepractice.chinese.v1alpha1.ParagraphNode value) {
    value.getClass();
  ensureNodesIsMutable();
    nodes_.set(index, value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  private void addNodes(gg.dsepractice.chinese.v1alpha1.ParagraphNode value) {
    value.getClass();
  ensureNodesIsMutable();
    nodes_.add(value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  private void addNodes(
      int index, gg.dsepractice.chinese.v1alpha1.ParagraphNode value) {
    value.getClass();
  ensureNodesIsMutable();
    nodes_.add(index, value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  private void addAllNodes(
      java.lang.Iterable<? extends gg.dsepractice.chinese.v1alpha1.ParagraphNode> values) {
    ensureNodesIsMutable();
    com.google.protobuf.AbstractMessageLite.addAll(
        values, nodes_);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  private void clearNodes() {
    nodes_ = emptyProtobufList();
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
   */
  private void removeNodes(int index) {
    ensureNodesIsMutable();
    nodes_.remove(index);
  }

  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ClassicText parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.ClassicText prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.ClassicText}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.ClassicText, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.ClassicText)
      gg.dsepractice.chinese.v1alpha1.ClassicTextOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.ClassicText.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      return instance.getName();
    }
    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      return instance.getNameBytes();
    }
    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @param value The name to set.
     * @return This builder for chaining.
     */
    public Builder setName(
        java.lang.String value) {
      copyOnWrite();
      instance.setName(value);
      return this;
    }
    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @return This builder for chaining.
     */
    public Builder clearName() {
      copyOnWrite();
      instance.clearName();
      return this;
    }
    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @param value The bytes for name to set.
     * @return This builder for chaining.
     */
    public Builder setNameBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.setNameBytes(value);
      return this;
    }

    /**
     * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
     * @return A list containing the allTextSegments.
     */
    @java.lang.Override
    public java.util.List<java.lang.String>
        getAllTextSegmentsList() {
      return java.util.Collections.unmodifiableList(
          instance.getAllTextSegmentsList());
    }
    /**
     * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
     * @return The count of allTextSegments.
     */
    @java.lang.Override
    public int getAllTextSegmentsCount() {
      return instance.getAllTextSegmentsCount();
    }
    /**
     * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
     * @param index The index of the element to return.
     * @return The allTextSegments at the given index.
     */
    @java.lang.Override
    public java.lang.String getAllTextSegments(int index) {
      return instance.getAllTextSegments(index);
    }
    /**
     * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
     * @param index The index of the value to return.
     * @return The bytes of the allTextSegments at the given index.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getAllTextSegmentsBytes(int index) {
      return instance.getAllTextSegmentsBytes(index);
    }
    /**
     * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
     * @param index The index to set the value at.
     * @param value The allTextSegments to set.
     * @return This builder for chaining.
     */
    public Builder setAllTextSegments(
        int index, java.lang.String value) {
      copyOnWrite();
      instance.setAllTextSegments(index, value);
      return this;
    }
    /**
     * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
     * @param value The allTextSegments to add.
     * @return This builder for chaining.
     */
    public Builder addAllTextSegments(
        java.lang.String value) {
      copyOnWrite();
      instance.addAllTextSegments(value);
      return this;
    }
    /**
     * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
     * @param values The allTextSegments to add.
     * @return This builder for chaining.
     */
    public Builder addAllAllTextSegments(
        java.lang.Iterable<java.lang.String> values) {
      copyOnWrite();
      instance.addAllAllTextSegments(values);
      return this;
    }
    /**
     * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
     * @return This builder for chaining.
     */
    public Builder clearAllTextSegments() {
      copyOnWrite();
      instance.clearAllTextSegments();
      return this;
    }
    /**
     * <code>repeated string all_text_segments = 2 [json_name = "allTextSegments"];</code>
     * @param value The bytes of the allTextSegments to add.
     * @return This builder for chaining.
     */
    public Builder addAllTextSegmentsBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.addAllTextSegmentsBytes(value);
      return this;
    }

    /**
     * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
     * @return A list containing the allWords.
     */
    @java.lang.Override
    public java.util.List<java.lang.String>
        getAllWordsList() {
      return java.util.Collections.unmodifiableList(
          instance.getAllWordsList());
    }
    /**
     * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
     * @return The count of allWords.
     */
    @java.lang.Override
    public int getAllWordsCount() {
      return instance.getAllWordsCount();
    }
    /**
     * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
     * @param index The index of the element to return.
     * @return The allWords at the given index.
     */
    @java.lang.Override
    public java.lang.String getAllWords(int index) {
      return instance.getAllWords(index);
    }
    /**
     * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
     * @param index The index of the value to return.
     * @return The bytes of the allWords at the given index.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getAllWordsBytes(int index) {
      return instance.getAllWordsBytes(index);
    }
    /**
     * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
     * @param index The index to set the value at.
     * @param value The allWords to set.
     * @return This builder for chaining.
     */
    public Builder setAllWords(
        int index, java.lang.String value) {
      copyOnWrite();
      instance.setAllWords(index, value);
      return this;
    }
    /**
     * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
     * @param value The allWords to add.
     * @return This builder for chaining.
     */
    public Builder addAllWords(
        java.lang.String value) {
      copyOnWrite();
      instance.addAllWords(value);
      return this;
    }
    /**
     * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
     * @param values The allWords to add.
     * @return This builder for chaining.
     */
    public Builder addAllAllWords(
        java.lang.Iterable<java.lang.String> values) {
      copyOnWrite();
      instance.addAllAllWords(values);
      return this;
    }
    /**
     * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
     * @return This builder for chaining.
     */
    public Builder clearAllWords() {
      copyOnWrite();
      instance.clearAllWords();
      return this;
    }
    /**
     * <code>repeated string all_words = 3 [json_name = "allWords"];</code>
     * @param value The bytes of the allWords to add.
     * @return This builder for chaining.
     */
    public Builder addAllWordsBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.addAllWordsBytes(value);
      return this;
    }

    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    @java.lang.Override
    public java.util.List<gg.dsepractice.chinese.v1alpha1.ParagraphNode> getNodesList() {
      return java.util.Collections.unmodifiableList(
          instance.getNodesList());
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    @java.lang.Override
    public int getNodesCount() {
      return instance.getNodesCount();
    }/**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.ParagraphNode getNodes(int index) {
      return instance.getNodes(index);
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    public Builder setNodes(
        int index, gg.dsepractice.chinese.v1alpha1.ParagraphNode value) {
      copyOnWrite();
      instance.setNodes(index, value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    public Builder setNodes(
        int index, gg.dsepractice.chinese.v1alpha1.ParagraphNode.Builder builderForValue) {
      copyOnWrite();
      instance.setNodes(index,
          builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    public Builder addNodes(gg.dsepractice.chinese.v1alpha1.ParagraphNode value) {
      copyOnWrite();
      instance.addNodes(value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    public Builder addNodes(
        int index, gg.dsepractice.chinese.v1alpha1.ParagraphNode value) {
      copyOnWrite();
      instance.addNodes(index, value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    public Builder addNodes(
        gg.dsepractice.chinese.v1alpha1.ParagraphNode.Builder builderForValue) {
      copyOnWrite();
      instance.addNodes(builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    public Builder addNodes(
        int index, gg.dsepractice.chinese.v1alpha1.ParagraphNode.Builder builderForValue) {
      copyOnWrite();
      instance.addNodes(index,
          builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    public Builder addAllNodes(
        java.lang.Iterable<? extends gg.dsepractice.chinese.v1alpha1.ParagraphNode> values) {
      copyOnWrite();
      instance.addAllNodes(values);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    public Builder clearNodes() {
      copyOnWrite();
      instance.clearNodes();
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ParagraphNode nodes = 4 [json_name = "nodes"];</code>
     */
    public Builder removeNodes(int index) {
      copyOnWrite();
      instance.removeNodes(index);
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.ClassicText)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.ClassicText();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "name_",
            "allTextSegments_",
            "allWords_",
            "nodes_",
            gg.dsepractice.chinese.v1alpha1.ParagraphNode.class,
          };
          java.lang.String info =
              "\u0000\u0004\u0000\u0000\u0001\u0004\u0004\u0000\u0003\u0000\u0001\u0208\u0002\u021a" +
              "\u0003\u021a\u0004\u001b";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.ClassicText> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.ClassicText.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.ClassicText>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.ClassicText)
  private static final gg.dsepractice.chinese.v1alpha1.ClassicText DEFAULT_INSTANCE;
  static {
    ClassicText defaultInstance = new ClassicText();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      ClassicText.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.ClassicText getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<ClassicText> PARSER;

  public static com.google.protobuf.Parser<ClassicText> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

